      subroutine hec_his_ana1
c
c pass 1 system histograms filling routine
c
      implicit none
c
      include'hec_par.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c system histogram id common
c
      include'hec_his_sys.inc'
c
c pedestal values common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c datacard common
c
      include 'hec_datacard.inc'
c
c search common
c
      include 'hec_search.inc'
c
      integer ic
c
c fill adc pedestal and adc pedestal rms histograms
c
      do ic = 1, i_adc_used
        call hfill(id_ped, adc_ped(ic), 0., 1.)
        call hfill(id_ped_ic, real(ic), 0., adc_ped(ic))
        call hfill(id_rms, adc_rms(ic), 0., 1.)
        call hfill(id_rms_ic, real(ic), 0., adc_rms(ic))
      enddo
c
c print tune/test beam reconstruction histograms, if necessary
c
      call hec_beam_fit(2)
c 
c fill histo with searching results
c
      if (irunpd.ge.4 .and. hec_s_dk .gt. 0) then
        do ic=1, i_adc_used
          call hfill(id_search_sig, ic*1., 0., hec_s_count(ic)*1.)
        enddo 					! do i=1, i_adc_used
      endif 					! if (irunpd.ge.4) then
c
      end



