      subroutine hec_s_passini
************************************************************************
*     initialization of searching arrays at the beginning of a pass    *
*                                                                      *
*     author:  03.11.97  Dieter Striegel                               *
************************************************************************
      implicit none
      
      include 'hec_par.inc' 				! parameter common
      include 'hec_geo.inc' 				! geometry common
      include 'hec_ped.inc' 				! pedestal common
      include 'hec_search.inc' 				! search common
      include 'hec_datacard.inc' 			! datacard common
      
      integer i
      character substr*20
      logical DEBUG
      parameter (substr=' *** HEC_S_PASSINI: ', DEBUG=.TRUE.)
      
      if (irunpd.le.4) return

      if (DEBUG) write(*,*) substr,'prepare search arrays for new pass'
      
      call vzero (hec_s_sig,i_adc_dim)
      call vzero (hec_s_ped,i_adc_dim)
      call vzero (hec_s_count,i_adc_dim)
      do i=1, i_adc_used
        hec_s_sig(i)=adc_rms(i)
        hec_s_ped(i)=adc_ped(i)
      enddo 						! do i=1, i_adc_used

      return
      end
