      subroutine hec_online_datacard
c
c set appropriate datacard choices for online mode in hec_adc
c
      implicit none
c
c hec_adc user datacard common
c
      include'hec_datacard.inc'
      include'hec_online.inc'
c
c initialize hec_adc datacards to correct values for online running
c
      print *, ' '
      print *, '*** initializing for online monitoring'
c
      onflag = .true.
      in_typ(1) = 2
      in_typ(2) = 51
      mk_cub = 1
      io_his = 52
      print *, ' *** online mode - npass set to 0'
      n_pass = 0
      mk_ped = 0
      sc_ped = 3.
      io_ped(1) = 0
      io_ped(2) = 48
      io_ped(3) = 0
      io_ped(4) = 49
      print *, ' *** online mode - system histograms disabled'
      mk_his = 0
ccc      print *, ' *** online mode - calibration disabled'
      io_cal(1) = 0
      print *, ' *** online mode run header corrections set to none'
      mk_beam = 0
      z_beam = 1000000.
      run_no_cr = -1
      e_beam_cr = -1
      i_part_cr = -1
      x_cryo_cr = 10001
      y_tabl_cr = 10001
      mk_crl = 0
c
      return
      end


