      subroutine hec_online_ini
c
c initialize for online running
c
      implicit none
c
c parameter common
c
      include'hec_par.inc'
      include'hec_cal_coef.inc'
c
c initialize datacards (override user input) for online running
c
      call hec_online_datacard
c
c fill geometry for run period specified in above call
c
      call hec_geo
c
c initialize higz for online histogram display
c
      call hec_online_higz
c
c initialize parameters for fadcs 
c
      call hec_fadc_ini
c
c reset calibration coefficients array
c
      call vzero(hec_cal_coef, 5*i_adc_dim)
c
c read calibration coeff for each channel
c       
      call hec_cal_read
c
      end





