      subroutine hec_s_evtini
************************************************************************
*     initializes searching array every event                          *
*                                                                      *
*     author: 03.11.97  Dieter Striegel                                *
************************************************************************
      implicit none
      
      include 'hec_par.inc' 				! parameter common
      include 'hec_geo.inc' 				! geometry common
      include 'hec_adc.inc' 				! adc values common
      include 'hec_search.inc' 				! search common
      include 'hec_datacard.inc' 			! datacard common
      
      integer i, j
      character substr*19
      logical DEBUG
      parameter (substr=' *** hec_s_evtini: ', DEBUG=.FALSE.)
      
      if (irunpd.lt.4) return
      
      if (DEBUG) write(*,*)substr,'prepare search arrays for new event'
      
      do i=1, i_adc_dim
        hec_s_chan(i)=.FALSE.
      enddo 						! do i=1, i_adc_dim

      call vzero (hec_s_result,i_adc_dim*i_tim_dim)
      call vzero (hec_s_im,i_adc_dim)
      
      do i=1, i_adc_used 		! fill searching common for each event
        do j=1, i_tim_used
          hec_s_in(i,j)=i_adc_ic_t(i,j)*1.
        enddo 						! do j=1, i_tim_used
      enddo 						! do i_1, i_adc_used

      hec_s_hit=.FALSE. 		! up to now no signal was detected     
      
      if (DEBUG) then
        write(*,*) substr,'input array for searching algorthm:'
        do i=1, i_adc_used
          write(*,*) 'ADC# ', i
          write(*,*) (hec_s_in(i,j),j=1, i_tim_used)
          write(*,*)
        enddo 				! do i=1, i_adc_used
      endif 				! if (DEBUG) then
      
      return
      end
      
